# faq

## what is tilde.cafe?

tilde.cafe is a multi-user linux server that runs on debian, it was started at
the end of 2020.

it was created in the spirit of the tildeverse. partly to get other people
familiar with linux, partly for ~spider to improve his own linux skills

once you have an account you can host your own files, website, blog, play
games, chat to other people, work on projects together, etc

you can sign up on the [sign up page](/signup)


## what is a tilde?

a tilde character "~" followed by the username represents the user's "home" in
linux.  `~spider` would link to spider's home directory.

a tilde in the community sense, is a home on the internet :)


## what is the tildeverse?

the tildeverse is a "loose" association of tildes and cool services for tildes.
in other words, it's a collection of public access unix systems (or *pubnixes*)
that have been grouped together to create a bigger community, and they share
services between each other.

you can learn more about the tildeverse on its homepage:
[tildeverse.org](https://tildeverse.org).


## so i have an account. now what?

welcome! there's a lot of things you can do here, check out the [getting
started guide](getting-started.html).


## can i get a package installed?

probably! send an email to sudoers@tilde.cafe


## how do i remove or rename my account?

send an email to sudoers@tilde.cafe

<!-- 
todo

- can i password login
  (ssh? how to create certificates?)
-->
