# IRC

on tilde.cafe you can hangout and chat on the `#cafe` channel of
[tilde.chat](https://tilde.chat) irc.

[tilde.chat](https://tilde.chat) is an irc network for the tildeverse ([what is
the tildeverse?](faq.html)).  it is available publicly at irc.tilde.chat:6697
(with ssl).


## how to connect

- the `chat` command automatically connects you to tilde.chat with `weechat`
  and joins the channels #meta and #cafe.
- `irssi` is also available

## weechat relay

https://username.tilde.cafe/weechat is configured to proxy to the default unix relay socket location (~/.weechat/relay_socket).
to set it up:
0. make sure you start weechat in a way so that it keeps running after you log off, easiest way is inside tmux (or screen, or byobu), 
1. in weechat:
1.1. `/relay add unix.weechat %h/relay_socket`
1.2. `/set relay.network.password CorrectHorseBatteryStaple` (use your own secure password, it can be anything, it's independent from the shell/email password)
1.3. `/save`
2. every time you start weechat, in another shell (such as tmux window or pane), `chmod 606 ~/.weechat/relay_socket`

you'll need to do step 2 every time you restart weechat, but other steps will never need to be done again

some clients that allow connecting through this relay are [Glowing-Bear](https://glowing-bear.org/) and [Weechat-Android](https://github.com/ubergeek42/weechat-android#weechat-android-relay-client)
port is 443, domain is username.tilde.cafe (substitute your username), password is what you just set as relay password, and on weechat-android, make sure you select `websocket(SSL)`

---

see the [tilde.chat wiki](https://tilde.chat/wiki) for info on bots and other
specifics.

<!--
todo

- clients
  - cli
    - irssi
    - weechat
  - gui
    - hexchat
  - web
    - kiwi
-->
